
QGIS Application - Bug report #20314

QGIS 3.4 crashed when exiting immediately after saving

2018-11-01 02:42 PM - Andy Whyte

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28135

Description

User Feedback

I had clicked save and then went to exit QGIS and got this error.

Report Details

Crash ID: 41bd556bfb4cb3857ad8b303df49560eb10217ac

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :

QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator char const * __ptr64 const * __ptr64 :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2018-11-02 09:24 AM - Giovanni Manghi

- Category changed from Unknown to Project Loading/Saving
- Status changed from Open to Feedback

Try again with a new/clean profile.

#2 - 2018-11-04 08:56 PM - Saber Razmjooei

Also, update to 3.4.1

#3 - 2018-11-05 12:53 PM - Andy Whyte

Saber Razmjooei wrote:

Also, update to 3.4.1

I cannot replicate with 3.4.1.

#4 - 2018-11-05 02:12 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#5 - 2018-11-12 08:32 PM - Jürgen Fischer

- Duplicates Bug report #20283: Crash when exiting program [proj_lpz_dist] added

#6 - 2018-11-12 08:32 PM - Jürgen Fischer

- Resolution changed from fixed/implemented to duplicate
